Skip to content

Get Session

GET /sessions/{session_id}
NameInTypeNotes
session_idpathstring (uuid)required—
StatusDescriptionBody
200Successful ResponseSessionView
422Validation ErrorHTTPValidationError
Terminal window
curl -X GET https://your-deployment.example.com/sessions/{session_id} \
-H "Authorization: Bearer $COBRE_TOKEN"
FieldTypeNotes
idstring (uuid)required—
agent_idstring (uuid) | nullrequired, nullable—
subject_kinduser | guest | nullrequired, nullable—
subject_idstring | nullrequired, nullable—
external_keystring | nullrequired, nullable—
titlestring | nullrequired, nullable—
originapi | schedule | event | channel | delegation | retry | replay | maintenance | system | nullrequired, nullable—
message_countintegerrequired—
is_activebooleanrequired—
attributesobjectrequired—
last_activity_atstring (date-time)required—
created_atstring (date-time)required—